# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define namedversion 2.0.3.CR5
%define oname jboss-security-xacml

Name:           jboss-security-xacml
Version:        2.0.3
Release:        0.CR5.1%{?dist}
Epoch:          0
Summary:        JBoss Security XACML
License:        LGPL
Group:          Development/Java
URL:            http://www.jboss.org/
Source0:        jboss-security-xacml-2.0.3.CR5.tar.gz
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-xacml/tags/2.0.3.CR5/ jboss-security-xacml-2.0.3

Source1:        jboss-security-xacml-jpp-depmap.xml
Source2:        jboss-security-xacml-settings.xml
Source3:        http://repository.jboss.org/maven2/org/jboss/jboss-parent/4/jboss-parent-4.pom

BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  junit

BuildRequires:  codehaus-stax11
BuildRequires:  jaf_1_1_api
BuildRequires:  jakarta-commons-logging
BuildRequires:  javolution
BuildRequires:  jaxb_2_1_api
BuildRequires:  joda-time
BuildRequires:  log4j
BuildRequires:  opensaml2 >= 0:2.2.3
BuildRequires:  openws
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  stax_1_0_api
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xmltooling
BuildRequires:  xml-security >= 0:1.4.2
BuildRequires:  xml-commons-jaxp-1.3-apis

Requires:  java >= 0:1.5.0
Requires:  codehaus-stax11
Requires:  jaf_1_1_api
Requires:  jakarta-commons-logging
Requires:  javolution
Requires:  jaxb_2_1_api
Requires:  joda-time
Requires:  log4j
Requires:  opensaml2 >= 0:2.2.3
Requires:  openws
Requires:  servlet_2_5_api
Requires:  slf4j
Requires:  stax_1_0_api
Requires:  sun-jaxb-2.1-impl
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xmltooling
Requires:  xml-security >= 0:1.4.2
Requires:  xml-commons-jaxp-1.3-apis


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Security XACML.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{namedversion} 

%build
cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.jboss-jboss-parent.pom

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jboss-sunxacml/target/jboss-sunxacml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-sunxacml-%{version}.jar
#install -m 644 jboss-xacml-saml/target/jboss-xacml-saml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-xacml-saml-%{version}.jar
install -m 644 jboss-xacml/target/jboss-xacml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-xacml-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.jboss.security jboss-xacml-project %{namedversion} JPP/%{name} %{name}-project
install -m 644 parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-project.pom

%add_to_maven_depmap org.jboss.security jboss-xacml-main %{namedversion} JPP/%{name} %{name}-main
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-main.pom

%add_to_maven_depmap org.jboss.security jboss-sunxacml %{namedversion} JPP/%{name} jboss-sunxacml
install -m 644 jboss-sunxacml/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jboss-sunxacml.pom

%add_to_maven_depmap org.jboss.security jboss-xacml %{namedversion} JPP/%{name} jboss-xacml
install -m 644 jboss-xacml/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jboss-xacml.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rf target/site/apidocs/* \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*
%{_datadir}/maven2/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Jun 16 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.3-0.CR5.1.jpp5
- 2.0.3.CR5 

* Fri Jun 05 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.2.1-1.jpp5
- 2.0.2.SP1 

